-- $Horde: 

CREATE TABLE genie_wishes (
    wish_owner        VARCHAR(255) NOT NULL,
    wish_id           INT NOT NULL,
    wish_name         VARCHAR(64) NOT NULL,
    wish_desc         TEXT,
    wish_quantity     INT NOT NULL DEFAULT 1,
    wish_price        VARCHAR(100),
    wish_prodid       VARCHAR(255),
    wish_prodid_type  VARCHAR(100),
    wish_vendors      TEXT,
    wish_category     VARCHAR(80),
    wish_purchased    SMALLINT NOT NULL DEFAULT 0,
    wish_purchased_on INT,
    wish_purchased_by VARCHAR(255),
    vfs_id            VARCHAR(255),
--
    PRIMARY KEY (wish_owner, wish_id)
);

GRANT SELECT, INSERT, UPDATE, DELETE ON genie_wishes TO horde;
