<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
  <td align="left" class="header"><b><?php echo htmlspecialchars($item['name']) ?></b></td>
  <td align="right" class="header"><span class="smallheader">
<?php
if (!$print_view) {
    $itemurl = Util::addParameter('item.php', 'item', $item['item_id']);
    $itemurl = Util::addParameter($itemurl, 'wishlist', $wishlist_id);
    $purchaseurl = Util::addParameter('purchase.php', 'item', $item['item_id']);
    $purchaseurl = Util::addParameter($purchaseurl, 'wishlist', $wishlist_id);
    $share = $GLOBALS['genie_shares']->getShare($wishlist_id);

    if ($share->hasPermission(Auth::getAuth(), PERMS_EDIT)) {
        if (!$item['purchased']) {
            echo Horde::link(Horde::applicationUrl(Util::addParameter($itemurl, 'actionID', GENIE_PURCHASE_ITEMS)), _("Purchase"), 'smallheader') . _("Purchase") . '</a>' . ' | ';
        }
        echo Horde::link(Horde::applicationUrl(Util::addParameter($itemurl, 'actionID', GENIE_MODIFY_ITEM)), _("Edit"), 'smallheader') . _("Edit") . '</a>';
    } elseif (!$item['purchased']) {
        echo Horde::link(Horde::applicationUrl($purchaseurl), _("Purchase"), 'smallheader') . _("Purchase") . '</a>';
    }

    if ($share->hasPermission(Auth::getAuth(), PERMS_DELETE)) {
        echo ' | ' . Horde::link(Horde::applicationUrl(Util::addParameter($itemurl, 'actionID', GENIE_DELETE_ITEMS)), _("Delete"), 'smallheader') . _("Delete") . '</a>';
    }
}
?>
  </span></td>
</tr>

<?php $i = 0 ?>

<tr>
  <td class="item<?php echo ($i %2) ?>" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Purchased?") ?></b>&nbsp;</td>
  <td class="item<?php echo ($i++ %2) ?>" width="100%"><?php echo Genie::formatPurchased($item['purchased']) ?></td>
</tr>

<tr>
  <td class="item<?php echo ($i %2) ?>" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Description") ?></b>&nbsp;</td>
  <td class="item<?php echo ($i++ %2) ?>" width="100%"><?php echo Text_Filter::filter($item['desc'], 'text2html', array('parselevel' => TEXT_HTML_MICRO)) ?></td>
</tr>

<tr>
  <td class="item<?php echo ($i %2) ?>" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Category") ?></b>&nbsp;</td>
  <td class="item<?php echo ($i++ %2) ?>" width="100%"><?php echo htmlspecialchars($item['category'] ? $item['category'] : _("Unfiled")) ?></td>
</tr>

<tr>
  <td class="item<?php echo ($i %2) ?>" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Product ID") ?></b>&nbsp;</td>
  <td class="item<?php echo ($i++ %2) ?>" width="100%"><?php echo $item['prodid'] ?></td>
</tr>

<tr>
  <td class="item<?php echo ($i %2) ?>" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Product Type") ?></b>&nbsp;</td>
  <td class="item<?php echo ($i++ %2) ?>" width="100%"><?php echo Genie::formatProdIdType($item['prodid_type']) ?></td>
</tr>

<tr>
  <td class="item<?php echo ($i %2) ?>" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Quantity") ?></b>&nbsp;</td>
  <td class="item<?php echo ($i++ %2) ?>" width="100%"><?php echo $item['quantity'] ?></td>
</tr>

<tr>
  <td class="item<?php echo ($i %2) ?>" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Price") ?></b>&nbsp;</td>
  <td class="item<?php echo ($i++ %2) ?>" width="100%"><?php echo $item['price'] ?></td>
</tr>

<tr>
  <td class="item<?php echo ($i %2) ?>" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Vendors") ?></b>&nbsp;</td>
  <td class="item<?php echo ($i++ %2) ?>" width="100%"><?php echo Text_Filter::filter($item['vendors'], 'text2html', array('parselevel' => TEXT_HTML_MICRO)) ?></td>
</tr>

<?php if (isset($created)): ?>
<tr>
  <td class="item<?php echo ($i %2) ?>" nowrap="nowrap" align="right"><b><?php echo _("Created") ?></b>&nbsp;</td>
  <td class="item<?php echo ($i++ %2) ?>" nowrap="nowrap"><?php echo strftime($prefs->getValue('date_format'), $created) . ' ' . date($prefs->getValue('twentyFour') ? 'G:i' : 'g:i a', $created) ?></td>
</tr>
<?php endif; ?>

<?php if (isset($modified)): ?>
<tr>
  <td class="item<?php echo ($i %2) ?>" nowrap="nowrap" align="right"><b><?php echo _("Last Modified") ?></b>&nbsp;</td>
  <td class="item<?php echo ($i++ %2) ?>" nowrap="nowrap"><?php echo strftime($prefs->getValue('date_format'), $modified) . ' ' . date($prefs->getValue('twentyFour') ? 'G:i' : 'g:i a', $modified) ?></td>
</tr>
<?php endif; ?>

</table>
